Library Version 18.1.40

current_txn
Prev | Chapter 1. Dbstl Global Public Functions | Next

## current_txn

### Function Details

     DbTxn* current_txn(DbEnv *env)

Get current transaction of environment "env".

#### Parameters

##### env

The environment whose current transaction we want to get.

#### Return Value

Current transaction of env.

### Group: Transaction control global functions.

dbstl transaction API.

You should call these API rather than DB C/C++ API to use Berkeley DB transaction features.

### Class

dbstl_global_functions

Prev | Up | Next
abort_txn | Home | set_current_txn_handle